%global modname parallel-ssh

Name:           python-%{modname}
Version:        0.80.3
Release:        3%{?dist}
Summary:        Asynchronous parallel SSH library

License:        LGPLv2
URL:            https://github.com/pkittenis/parallel-ssh
Source0:        https://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/pkittenis/parallel-ssh/master/COPYING

BuildArch:      noarch

%description
Library for running asynchronous parallel SSH commands over many hosts.

parallel-ssh uses asychronous network requests - there is no multi-threading or
multi-processing used.

This is a requirement for commands on many (hundreds/thousands/hundreds of
thousands) of hosts which would grind a system to a halt simply by having so
many processes/threads all wanting to execute if done with
multi-threading/processing.

%package -n python2-%{modname}
Summary:        %{summary}
BuildRequires:  python2-devel
# Test deps
BuildRequires:  python2-gevent python-paramiko
Requires:       python2-gevent python-paramiko
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
Library for running asynchronous parallel SSH commands over many hosts.

parallel-ssh uses asychronous network requests - there is no multi-threading or
multi-processing used.

This is a requirement for commands on many (hundreds/thousands/hundreds of
thousands) of hosts which would grind a system to a halt simply by having so
many processes/threads all wanting to execute if done with
multi-threading/processing.

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel /usr/bin/2to3
# Test deps
BuildRequires:  python3-gevent python3-paramiko
Requires:       python3-gevent python3-paramiko
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Library for running asynchronous parallel SSH commands over many hosts.

parallel-ssh uses asychronous network requests - there is no multi-threading or
multi-processing used.

This is a requirement for commands on many (hundreds/thousands/hundreds of
thousands) of hosts which would grind a system to a halt simply by having so
many processes/threads all wanting to execute if done with
multi-threading/processing.

%prep
%autosetup -n %{modname}-%{version}
cp -a %{SOURCE1} .

rm -rf %{py3dir}
cp -a . %{py3dir}
2to3 -w -n %{py3dir}

%build
%py2_build

pushd %{py3dir}
  %py3_build
popd

%install
%py2_install

pushd %{py3dir}
  %py3_install
popd

%check
%{__python2} setup.py test

pushd %{py3dir}
  %{__python3} setup.py test
popd

%files -n python2-%{modname}
%license COPYING
%doc README.rst
%{python2_sitelib}/pssh/
%{python2_sitelib}/parallel_ssh-%{version}*.egg-info/

%files -n python3-%{modname}
%license COPYING
%doc README.rst
%{python3_sitelib}/pssh/
%{python3_sitelib}/parallel_ssh-%{version}*.egg-info/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sun Oct 25 2015 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.80.3-1
- Update to 0.80.3

* Sun Oct 11 2015 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.80.1-1
- Initial package
